Subject: Re: [PATCH] Allow sharing xvmalloc for zram and zcache

From: Greg KH <[email-masked]>
Date: Fri, 18 Feb 2011 13:25:42 -0800

On Thu, Feb 10, 2011 at 04:00:46PM -0500, Nitin Gupta wrote:
> Both zram and zcache use xvmalloc allocator. If xvmalloc
> is compiled separately for both of them, we will get linker
> error if they are both selected as "built-in". We can also
> get linker error regarding missing xvmalloc symbols if zram
> is not built.
> 
> So, we now compile xvmalloc separately and export its symbols
> which are then used by both of zram and zcache.
> 
> Signed-off-by: Nitin Gupta <[email-masked]>

This doesn't apply to my tree, care to respin it and resend?

thanks,

greg k-h